


#include "main.h" 
//#include "hc32f3xx.h"
//#include "hc32f3xx_conf.h"
//#include "hc32_ll_hrpwm.h"
#include "hc32_ll_gpio.h"
//#include "hc32_ll_def.h"
#include "hrtimer.h"

//gpio enable-function as PWM configuration----CHyang
void GPIO_LLC_HB_outputs_Config(void)
{
    GPIO_HrpwmPinCmd(HRPWM_1A_PIN, ENABLE);
    GPIO_HrpwmPinCmd(HRPWM_1B_PIN, ENABLE);
	  GPIO_HrpwmPinCmd(HRPWM_2A_PIN, ENABLE);
    GPIO_HrpwmPinCmd(HRPWM_2B_PIN, ENABLE);
		GPIO_HrpwmPinCmd(HRPWM_3A_PIN, ENABLE);
    GPIO_HrpwmPinCmd(HRPWM_3B_PIN, ENABLE);
		GPIO_HrpwmPinCmd(HRPWM_4A_PIN, ENABLE);
    GPIO_HrpwmPinCmd(HRPWM_4B_PIN, ENABLE);
		GPIO_HrpwmPinCmd(HRPWM_5A_PIN, ENABLE);
    GPIO_HrpwmPinCmd(HRPWM_5B_PIN, ENABLE);
		GPIO_HrpwmPinCmd(HRPWM_6A_PIN, ENABLE);
    GPIO_HrpwmPinCmd(HRPWM_6B_PIN, ENABLE);
}

